### Enumeration

# Gio PasswordSave

#### Declaration

    enum Gio.PasswordSave

#### Description [src]

`GPasswordSave` is used to indicate the lifespan of a saved password.

`Gvfs` stores passwords in the Gnome keyring when this flag allows it to, and later retrieves it again from there.

#### Members

Name | Description
--- | ---
`G_PASSWORD_SAVE_NEVER` | Never save a password.
`G_PASSWORD_SAVE_FOR_SESSION` | Save a password for the session.
`G_PASSWORD_SAVE_PERMANENTLY` | Save a password permanently.